Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tfg.politmiro.totbolets
Class SplashActivity

    java.lang.Object
      Activity
          com.tfg.politmiro.totbolets.SplashActivity

    public class SplashActivity

extends Activity

Author:
  Polit Miro Classe que introdueix l'activitat inicial de l'aplicacio Aquesta activitat inclou dues possibilitats. Si l'usuari es la primera vegada que entra a l'aplicacio apareix un boto per parsejar els xml i afegir les dades a la Base de dades Si l'usuari ja no es la primera vegada, ja no fara el parseig, i anira a la MainActivity, que es l'activitat principal

Field Summary
`OnClickListener` | `clickPrimerCop` Metode Listener que sera activat al clicar el boto primera vegada Crida a la classe parseXML i al finalitzar aquesta tasca, crida a la MainActivity

Constructor Summary
`SplashActivity()`

Method Summary
`void` | `mostrarSplash()` Metode que sera cridat totes les vegades excepte la primera.
`boolean` | `onTouchEvent(MotionEvent event)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clickPrimerCop

    public OnClickListener clickPrimerCop

  Metode Listener que sera activat al clicar el boto primera vegada Crida a la classe parseXML i al finalitzar aquesta tasca, crida a la MainActivity

Constructor Detail

### SplashActivity

    public SplashActivity()

Method Detail

### mostrarSplash

    public void mostrarSplash()

  Metode que sera cridat totes les vegades excepte la primera. Amaga el boto primerCop i crear un timer pq es pugui veure la presentacio de l'app durant 2 segons. A continuacio crida al MainActivity

### onTouchEvent

    public boolean onTouchEvent(MotionEvent event)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD